Crea Chiave di Licenza
Importa una chiave di licenza esistente da un altro sistema. La stringa della chiave, il cliente e il prodotto sono tutti obbligatori.
key, customer_id e product_id sono tutti obbligatori. Non genera un valore per la chiave. L’importazione di una key già esistente restituisce 409 Conflict.Autorizzazioni
Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.
Corpo
The customer this license key belongs to.
The license key string to import.
The product this license key is for.
Maximum number of activations allowed. Null means unlimited.
Expiration timestamp. Null means the key never expires.
Risposta
License key created
Brand id this license key belongs to
The unique identifier of the business associated with the license key.
The timestamp indicating when the license key was created, in UTC.
"2024-01-01T00:00:00.000Z"
The unique identifier of the customer associated with the license key.
"cus_123"
The unique identifier of the license key.
"lic_123"
The current number of instances activated for this license key.
The license key string.
The unique identifier of the product associated with the license key.
The source of the license key - 'auto' for keys generated by payment/subscription flows, 'import' for merchant-imported keys.
auto, import, manual The current status of the license key (e.g., active, inactive, expired).
active, expired, disabled The maximum number of activations allowed for this license key.
5
The timestamp indicating when the license key expires, in UTC.
"2024-12-31T23:59:59.000Z"
The unique identifier of the payment associated with the license key, if any.
The unique identifier of the subscription associated with the license key, if any.